<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<!DOCTYPE html>
<html>
<head>
    <jsp:include page="../../include/assets.jsp"></jsp:include>
</head>

<body>
    <div id="wrapper">
        <div class="gray-bg">
            <!-- 主内容 -->
            <div class="wrapper wrapper-content animated fadeInRight">
		        <div class="row">
		            <div class="col-lg-12">
		                <div class="ibox float-e-margins">
	                   		<div class="ibox-content">
	                    		<table id="dynamic-table" class="table table-striped table-bordered table-hover dataTables-example" >
				                    <thead>
					                    <tr>
					                        <th>流程步骤</th>
					                        <th>流程名称</th>
											<th>审批角色名</th>
											<th>审批时长</th>
					                        <th>操作</th>
					                    </tr>
				                    </thead>
			                   		<tbody>
			                    	</tbody>
			                    </table>
	                    	</div>
	                    </div>
		            </div>
		        </div>
            </div>
        </div>
    </div>

    <jsp:include page="../../include/scripts.jsp"></jsp:include>

    <script type="text/javascript">
    	$(document).ready(function(){
    		oTable = $('#dynamic-table')
			.dataTable({
				"bAutoWidth": false,
				"bFilter": false,
                "bDestroy":true,
                "bServerSide":true,
                "bPaginate":true,
                "bLengthChange":false,
                "sAjaxSource": "<c:url value='/business/workflow/findData.json'/>",
                "sAjaxDataProp": "data",
                "aLengthMenu": [10],
                "aoColumns": [
					{ "mDataProp": "seq","sClass":"text-center","bSortable": false},
					{ "mDataProp": "fullName","sClass":"","bSortable": false},
                    { "mDataProp": "rolename","sClass":"","bSortable": false},
                    { "mDataProp": "limitday","sClass":"","bSortable": false},
					{ "mDataProp": "action","sClass":"text-center","bSortable": false}
                ],
                "fnServerParams" : function (aoData) {
                    aoData.push(
                        {"name": "areaCode", "value": ${areaCode}}
                    );
                },
                "fnDrawCallback": function(data) {
                	$("td").tooltip({
	                    selector: "[data-toggle=tooltip]",
	                    container: "body"
	                });
                },
                // 初始化，描画都已经完成，常用于ajax
                "initComplete": function( settings, json ) {
                    var layerIndex = parent.layer.getFrameIndex(window.name);
                    parent.layer.iframeAuto(layerIndex);
                },
                "aoColumnDefs": [
					{"aTargets":[0],
						"mRender":function(tar,type,data){
							return "第"+data.seq+"步";
						}
					},
                    {"aTargets":[3],
                        "mRender":function(tar,type,data){
                            return tar==null?"":(tar+"天");
                        }
                    },
					{"aTargets":[4],
						"mRender":function(tar,type,data){
                            return "";
                        }
					}
                ],
                "oLanguage": {
                    "sProcessing":   "处理中...",
                    "sLengthMenu":   "显示_MENU_ 项结果",
                    "sZeroRecords":  "没有匹配结果",
                    "sInfo":         " _START_ - _END_条记录，共_TOTAL_条",
                    "sInfoEmpty":    "没有匹配结果",
                    "sInfoFiltered": "(由_MAX_项结果过滤)",
                    "sSearch":       "搜索:",
                    "oPaginate": {
                        "sFirst": "首页",
                        "sPrevious": "上页",
                        "sNext": "下页",
                        "sLast": "末页"
                    }
               	}
		    });
    	});
    </script>
</body>

</html>
